runit-void: fix issue with fsck on mounted partitions
This commit is contained in:
parent
37b790ca13
commit
92a5a84053
2 changed files with 28 additions and 1 deletions
27
srcpkgs/runit-void/patches/blkdev-write-mounted.patch
Normal file
27
srcpkgs/runit-void/patches/blkdev-write-mounted.patch
Normal file
|
@ -0,0 +1,27 @@
|
||||||
|
From 8abcbe9b4cf7eb49f6e1aacf2ee3a45dae4360ba Mon Sep 17 00:00:00 2001
|
||||||
|
From: classabbyamp <void@placeviolette.net>
|
||||||
|
Date: Sat, 4 May 2024 15:50:38 -0400
|
||||||
|
Subject: [PATCH] core-services/03-filesystems.sh: ignore fsck result of 8
|
||||||
|
|
||||||
|
exit code of 8 indicates "operational error", which can happen if
|
||||||
|
CONFIG_BLK_DEV_WRITE_MOUNTED is disabled on linux>=6.8, so ignore it
|
||||||
|
|
||||||
|
see also: void-linux/void-packages#50124
|
||||||
|
---
|
||||||
|
core-services/03-filesystems.sh | 3 ++-
|
||||||
|
1 file changed, 2 insertions(+), 1 deletion(-)
|
||||||
|
|
||||||
|
diff --git a/core-services/03-filesystems.sh b/core-services/03-filesystems.sh
|
||||||
|
index bb7eac0..546927c 100644
|
||||||
|
--- a/core-services/03-filesystems.sh
|
||||||
|
+++ b/core-services/03-filesystems.sh
|
||||||
|
@@ -68,7 +68,8 @@ done
|
||||||
|
if [ -z "$FASTBOOT" ]; then
|
||||||
|
msg "Checking filesystems:"
|
||||||
|
fsck -A -T -a -t noopts=_netdev $FORCEFSCK
|
||||||
|
- if [ $? -gt 1 ]; then
|
||||||
|
+ ret="$?"
|
||||||
|
+ if [ "$ret" -ne 0 ] && [ "$ret" -ne 8 ]; then
|
||||||
|
emergency_shell
|
||||||
|
fi
|
||||||
|
fi
|
|
@ -1,7 +1,7 @@
|
||||||
# Template file for 'runit-void'
|
# Template file for 'runit-void'
|
||||||
pkgname=runit-void
|
pkgname=runit-void
|
||||||
version=20231124
|
version=20231124
|
||||||
revision=1
|
revision=2
|
||||||
build_style=gnu-makefile
|
build_style=gnu-makefile
|
||||||
short_desc="Void Linux runit scripts"
|
short_desc="Void Linux runit scripts"
|
||||||
maintainer="Enno Boland <gottox@voidlinux.org>"
|
maintainer="Enno Boland <gottox@voidlinux.org>"
|
||||||
|
|
Loading…
Add table
Add a link
Reference in a new issue